Last modified: 2013-09-01 10:18:18 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 44668 - Add email recipient username as a parameter to emailuser confirmation
Add email recipient username as a parameter to emailuser confirmation
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Email (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Nemo
: easy
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2013-02-05 08:20 UTC by John Mark Vandenberg
Modified: 2013-09-01 10:18 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description John Mark Vandenberg 2013-02-05 08:20:58 UTC
The system messages for the email form should include the target/recipient username as a parameter

e.g. the first form on English Wikipedia already parses the username from the page title

https://en.wikipedia.org/wiki/MediaWiki:Emailpagetext

But this isnt possible for the landing page after the email has been sent.

https://en.wikipedia.org/wiki/MediaWiki:Emailsenttext

Then the Emailsenttext default message could change from 
"Your e-mail message has been sent."
to something like
"Your e-mail message to [[user:$1|$1]] has been sent."

fwiw, the messages used for the email do include usernames

https://en.wikipedia.org/wiki/MediaWiki:Emailccsubject
https://en.wikipedia.org/wiki/MediaWiki:Emailuserfooter
Comment 1 Gerrit Notification Bot 2013-08-09 16:54:25 UTC
Change 78404 had a related patch set uploaded by Nemo bis:
Add email recipient username as a parameter to emailuser confirmation

https://gerrit.wikimedia.org/r/78404
Comment 2 Nemo 2013-08-09 16:54:58 UTC
(In reply to comment #0)
> https://en.wikipedia.org/wiki/MediaWiki:Emailpagetext

(Obligatory note on en.wiki customisations: this message is madness.)

> 
> But this isnt possible for the landing page after the email has been sent.
> 
> https://en.wikipedia.org/wiki/MediaWiki:Emailsenttext
> 
> Then the Emailsenttext default message could change from 
> "Your e-mail message has been sent."
> to something like
> "Your e-mail message to [[user:$1|$1]] has been sent."

I submitted a patch to add the parameter.
Comment 3 Gerrit Notification Bot 2013-09-01 09:52:56 UTC
Change 78404 merged by jenkins-bot:
Add email recipient username as a parameter to emailuser confirmation

https://gerrit.wikimedia.org/r/78404
Comment 4 Nemo 2013-09-01 10:18:18 UTC
Approved by Nikerabbit.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links